import com.cycling74.max.*;

public class javaexample extends MaxObject
{

	private float left_arg = 0, right_arg = 0;

	private static final String[] INLET_ASSIST = new String[]{
		"inlet 1 help"
	};
	private static final String[] OUTLET_ASSIST = new String[]{
		"outlet 1 help"
	};
	
	public javaexample(Atom[] args)
	{
		declareInlets(new int[]{DataTypes.ALL,DataTypes.ALL});
		declareOutlets(new int[]{DataTypes.ALL});
		
		setInletAssist(INLET_ASSIST);
		setOutletAssist(OUTLET_ASSIST);

	}
    
	public void bang()
	{
		outlet(0, left_arg + right_arg);
	}
    
	public void inlet(int i)
	{
		inlet((float)i);
	}
    
	public void inlet(float f)
	{
		switch(getInlet()){
		case 0:
			left_arg = f;
			outlet(0, left_arg + right_arg);
			break;
		case 1:
			right_arg = f;
			break;
		}
	}
    
    
	public void list(Atom[] list)
	{
	}
    
}




